## Create Block from Selection

Toolbar / Icon:
Menu: Block > Create Block from Selection
Shortcut: B, C
Commands: blockcreate | bc

### Description

Creates a new block from existing entities.

### Usage

1. Select the entities you want to use for the new block.
2. Specify the reference point of the block.
3. Enter a name for the new block in the dialog that is shown and click OK.

The block is now added to the block list and instances of it can be inserted into the drawing. The entities you have selected in the first step are removed and replaced by a block reference of the newly created block.